<?php
namespace Elementor;

/**
 * Elementor Widget
 * @package Geroz
 * @since 1.0.0
 */ 
 
class Home3_Counter extends Widget_Base {

	/**
	 * Get widget name.
	 * Retrieve button widget name.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'geroz-home3-counter-widget';
	}

	/**
	 * Get widget title.
	 * Retrieve button widget title.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget title.
	 */
	public function get_title() {
		return esc_html__( 'Home 3 Counter', 'geroz-core' );
	}

	/**
	 * Get widget icon.
	 * Retrieve button widget icon.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-flash';
	}

	/**
	 * Get widget categories.
	 * Retrieve the list of categories the button widget belongs to.
	 * Used to determine where to display the widget in the editor.
	 *
	 * @since  2.0.0
	 * @access public
	 * @return array Widget categories.
	 */
	public function get_categories()
    {
        return ['geroz_widgets'];
    }
	
	/**
	 * Register button widget controls.
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function register_controls() {

		$this->start_controls_section(
			'home3-counter-content',
			[
				'label' => esc_html__( 'Counter Content', 'geroz-core' ),
			]
		);	

		$this->add_control(
			'text',
			[
				'label' => esc_html__( 'Text', 'geroz-core' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => esc_html__( 'We are here to help you with your business', 'geroz-core' ),
				'label_block' => true,
			]
		);

		$this->add_control(
			'bg_image',
			[
				'label' => esc_html__( 'Background Image', 'geroz-core' ),
				'type' => Controls_Manager::MEDIA,
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],
			]
		);

		$this->end_controls_section();


		$this->start_controls_section(
			'content_section',
			[
				'label' => __( 'Block', 'geroz-core' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
		$this->add_control(
		  'repeat', 
			[
				'type' => Controls_Manager::REPEATER,
				'separator' => 'before',
				'default' => 
					[
						['section_title' => esc_html__('Hello World', 'geroz-core')],
					],
				'fields' => 
					[	
					
						'section_title'=> [
							'name' => 'section_title',
							'label' => esc_html__( 'Section Title', 'geroz-core' ),
							'type' => Controls_Manager::TEXT,
							'default' => esc_html__( 'Hello World', 'geroz-core' ),
							'label_block' => true,
						],
						'section_subtitle'=>  [
							'name' => 'section_subtitle',
							'label' => esc_html__( 'Section Subtitle', 'geroz-core' ),
							'type' => Controls_Manager::TEXTAREA,
							'default' => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.', 'geroz-core' ),
							'label_block' => true,
						],
						
					],
				'title_field' => '{{section_title}}',
			 ]
	);
		
		
	$this->end_controls_section();	

	
		}

	/**
	 * Render button widget output on the frontend.
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		$allowed_tags = wp_kses_allowed_html('post');
		?>

		<section class="funfact-wrapper funfact-1 section-padding bg-cover"
                style="background-image: url('<?php echo wp_get_attachment_url($settings['bg_image']['id']);?>');">
			<div class="container">
				<div class="row">
					<div class="col-xl-7 col-lg-12">
						<p class="text has_text_reveal_anim"><?php echo $settings['text'];?></p>
					</div>
				</div>
				<div class="funfact-inner">
					<?php foreach($settings['repeat'] as $item):?>
					<div class="signle-funfact-item  has_fade_anim" data-delay="0.5">
						<div class="count-box">
							<h2><?php echo wp_kses($item['section_title'], $allowed_tags);?></h2>
							<p><?php echo wp_kses($item['section_subtitle'], $allowed_tags);?></p>
						</div>
					</div>
					<?php endforeach; ?>
				</div>
			</div>
		</section>

             
		<?php 
	}


}

Plugin::instance()->widgets_manager->register_widget_type(new Home3_Counter());